Version File Reference
`#include <osgDB/Export>`

Go to the source code of this file.

## Macros

#define | OSGDB_VERSION 1

## Functions

OSGDB_EXPORT const char * | osgDBGetVersion ()
OSGDB_EXPORT const char * | osgDBGetLibraryName ()

## Macro Definition Documentation

## OSGDB_VERSION

#define OSGDB_VERSION 1

## Function Documentation

## osgDBGetLibraryName()

OSGDB_EXPORT const char * osgDBGetLibraryName | ( |  | ) |

extern

getLibraryName() returns the library name in human friendly form.

References OSGDB_EXPORT.

## osgDBGetVersion()

OSGDB_EXPORT const char * osgDBGetVersion | ( |  | ) |

extern

osgDBGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgDBGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) DB library
    #
    AC_CHECK_LIB(osg, osgDBGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph DB library not found. See http://www.openscenegraph.org)],)

References OSGDB_EXPORT.